# os_image_info – Retrieve information about an image within OpenStack

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Retrieve information about a image image from OpenStack.

- This module was called `os_image_facts` before Ansible 2.9, returning `ansible_facts`. Note that the os_image_info module no longer returns `ansible_facts`!

Aliases: os_image_facts

## Requirements

The below requirements are needed on the host that executes this module.

- openstacksdk

- openstacksdk >= 0.12.0

- python >= 2.7

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer |  | How long should the socket layer wait before timing out for API calls. If this is omitted, nothing will be passed to the requests library.

auth
dictionary

Dictionary containing auth information as needed by the cloud's auth plugin strategy. For the default password plugin, this would contain auth_url, username, password, project_name and any information about domains (for example, os_user_domain_name or os_project_domain_name) if the cloud supports them. For other plugins, this param will need to contain whatever parameters that auth plugin requires. This parameter is not needed if a named cloud is provided or OpenStack OS_* environment variables are present.

auth_type string |  | Name of the auth plugin to use. If the cloud uses something other than password authentication, the name of the plugin should be indicated here and the contents of the auth parameter should be updated accordingly.
availability_zone - |  | Ignored. Present for backwards compatibility
ca_cert string |  | A path to a CA Cert bundle that can be used as part of verifying SSL API requests. aliases: cacert
client_cert string |  | A path to a client certificate to use as part of the SSL transaction. aliases: cert
client_key string |  | A path to a client key to use as part of the SSL transaction. aliases: key

cloud
raw

Named cloud or cloud config to operate against. If cloud is a string, it references a named cloud config as defined in an OpenStack clouds.yaml file. Provides default values for auth and auth_type. This parameter is not needed if auth is provided or if OpenStack OS_* environment variables are present. If cloud is a dict, it contains a complete cloud configuration like would be in a section of clouds.yaml.

image - |  | Name or ID of the image

interface
string

Choices:
- admin
- internal
- public ←

Endpoint URL type to fetch from the service catalog.
aliases: endpoint_type

properties dictionary added in 2.9 |  | Dict of properties of the images used for query
region_name string |  | Name of the region.
timeout integer | Default: 180 | How long should ansible wait for the requested resource.

validate_certs
boolean

Choices:
- no ←
- yes

Whether or not SSL API requests should be verified.
Before Ansible 2.3 this defaulted to `yes`.
aliases: verify

wait
boolean

Choices:
- no
- yes ←

Should ansible wait until the requested resource is complete.

## Notes

Note

- The standard OpenStack environment variables, such as `OS_USERNAME` may be used instead of providing explicit values.

- Auth information is driven by openstacksdk, which means that values can come from a yaml config file in /etc/ansible/openstack.yaml, /etc/openstack/clouds.yaml or ~/.config/openstack/clouds.yaml, then from standard environment variables, then finally by explicit parameters in plays. More information can be found at https://docs.openstack.org/openstacksdk/

## Examples

    - name: Gather information about a previously created image named image1
      os_image_info:
        auth:
          auth_url: https://identity.example.com
          username: user
          password: password
          project_name: someproject
        image: image1
      register: result

    - name: Show openstack information
      debug:
        msg: "{{ result.openstack_image }}"

    # Show all available Openstack images
    - name: Retrieve all available Openstack images
      os_image_info:
      register: result

    - name: Show images
      debug:
        msg: "{{ result.openstack_image }}"

    # Show images matching requested properties
    - name: Retrieve images having properties with desired values
      os_image_facts:
        properties:
          some_property: some_value
          OtherProp: OtherVal

    - name: Show images
      debug:
        msg: "{{ result.openstack_image }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
openstack_image complex | always, but can be null | has all the openstack information about the image
| checksum string | success | Checksum for the image.
| container_format string | success | Container format of the image.
| created_at string | success | Image created at timestamp.
| deleted boolean | success | Image deleted flag.
| deleted_at string | success | Image deleted at timestamp.
| disk_format string | success | Disk format of the image.
| id string | success | Unique UUID.
| is_public boolean | success | Is public flag of the image.
| min_disk integer | success | Min amount of disk space required for this image.
| min_ram integer | success | Min amount of RAM required for this image.
| name string | success | Name given to the image.
| owner string | success | Owner for the image.
| properties dictionary | success | Additional properties associated with the image.
| protected boolean | success | Image protected flag.
| size integer | success | Size of the image.
| status string | success | Image status.
| updated_at string | success | Image updated at timestamp.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Davide Agnello (@dagnello)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.